Skip to main content
PATCH
Edit a Zap
This API is rate limited.

Authorizations

Authorization
string
header
required

See our OAuth2 authentication documentation here: https://docs.zapier.com/powered-by-zapier/api-reference/authentication

Path Parameters

id
string<uuid>
required

The Zap ID as returned by GET /v2/zaps or POST /v2/zaps.

Body

application/json
data
object

Fields to update on an existing Zap. At least one of title or steps must be provided. steps, when present, fully replaces the Zap's step list.

Response

A Zap is an automated workflow that connects your apps and services together.

type
string
required
read-only

The type of this object.

id
string
required
read-only

A unique identifier of the Zap.

last_successful_run_date
string | null
required
read-only

The date/time at which this Zap last ran successfully. A null value indicates that a Zap has never run successfully.

updated_at
string
required
read-only

The last time this Zap was updated

title
string
required

The human readable name of the Zap.

Link to open this Zap in the Zapier Editor

steps
(object | string)[]
required

A list of the steps this Zap consists of

An ordered list of steps that define the logic of the Zap.

is_enabled
boolean
default:true

Whether the Zap is enabled (running) or not.

Last modified on August 4, 2026